import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.hbase.*;
import org.apache.hadoop.hbase.client.*;
import org.apache.hadoop.hbase.util.Bytes;
import java.io.IOException;
import java.security.NoSuchAlgorithmException;

public class HBaseEmpManager {
    public static void main(String[] args) {
        try {
            HBaseConnectionManager.init();
            HBaseTableManager.createTable();
            EmployeeDAO.insertData("emp.txt");
            EmployeeDAO.queryById();
            EmployeeDAO.queryByPerformance();
            EmployeeDAO.queryRecentPromotion();
            TrainingDAO.countTrainingParticipants();
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            HBaseConnectionManager.close();
        }
    }
}
